<?php

namespace Picea\Asset;

use Picea\Compiler;
use Picea\Compiler\Context;
use Picea\Event\Extension\UrlBuildAssetEvent;
use Picea\EventTrait;

class Asset {

    use EventTrait;

    public function registerExtension(Compiler $compiler) : self
    {
        $compiler->registerExtension(new Extension\ImportmapExtension());

        $compiler->getExtensionFromToken('asset')->eventRegister(new class() implements UrlBuildAssetEvent {

            public function execute(string $uri, array $parameters = [], bool $appendVersion) : void
            {
                dump($uri);
            }

        });

        return $this;
    }

}
